import App from './App.vue'
import router from './router'
import store, { storeKey } from './store'
import { createInstance } from '/@/root'
import { useDirectives } from './directives'
import Antd from 'ant-design-vue';
import svgIcon from '/@/components/svgIcon.vue'
import 'ant-design-vue/dist/antd.css'
import '/@/styles/index.scss'

const app = createInstance(App)

app.use(store, storeKey)
app.use(router)
app.use(Antd)
app.component('svg-icon', svgIcon)
app.use(useDirectives)
app.mount('#root')